summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/marathon-evil-data/README4
-rw-r--r--games/marathon-evil-data/marathon-evil-data.SlackBuild14
2 files changed, 9 insertions, 9 deletions
diff --git a/games/marathon-evil-data/README b/games/marathon-evil-data/README
index bf560ac4fa..27394f6a58 100644
--- a/games/marathon-evil-data/README
+++ b/games/marathon-evil-data/README
@@ -9,4 +9,6 @@ Included in the package is a shell script wrapper. Type "marathon-evil"
or select Marathon EVIL from the KDE or XFCE "Games" menu.
To install the gamedata in /opt instead of /usr to save space in the
-root partition use use OPT=yes ./marathon-evil-data.SlackBuild
+root partition use use:
+
+ OPT=yes ./marathon-evil-data.SlackBuild
diff --git a/games/marathon-evil-data/marathon-evil-data.SlackBuild b/games/marathon-evil-data/marathon-evil-data.SlackBuild
index 157d417124..4fc49cc19d 100644
--- a/games/marathon-evil-data/marathon-evil-data.SlackBuild
+++ b/games/marathon-evil-data/marathon-evil-data.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Marathon: EVIL
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -34,14 +34,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
# install gamedata in opt instead of usr
-OPT=${OPT:-no}
-if [ "${OPT:-yes}" == "yes" ]; then
- DATA="/opt/AlephOne"
+if [ "${OPT:-0}" != 0 ]; then
+ DATA='/opt/AlephOne'
else
- DATA="/usr/share/AlephOne/gamedata"
+ DATA='/usr/share/AlephOne/gamedata'
fi
ZIPNAME=MarathonEvil
@@ -50,9 +49,8 @@ WRAPPER=marathon-evil
DATADIR=$PKG$DATA
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT $DATADIR
cd $TMP
-mkdir -p $DATADIR
unzip $CWD/$ZIPFILE -d $DATADIR
chown -R root:root $DATADIR